Bug 1076506 - Review Request: ambari - Hadoop cluster manager
Summary: Review Request: ambari - Hadoop cluster manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2014-03-14 13:21 UTC by Pete MacKinnon
Modified: 2014-05-08 10:17 UTC (History)
5 users (show)

Fixed In Version: ambari-1.5.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 10:17:00 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Comment (80.23 KB, text/plain)
2014-03-26 14:40 UTC, gil cattaneo
no flags Details

Description Pete MacKinnon 2014-03-14 13:21:27 UTC
Spec URL: http://pmackinn.fedorapeople.org/ambari/ambari.spec
SRPM URL: http://pmackinn.fedorapeople.org/ambari/ambari-1.4.4-1.fc20.src.rpm
Description: The Apache Ambari project is aimed at making Hadoop management 
simpler by developing software for provisioning, managing, and 
monitoring Apache Hadoop clusters. Ambari provides an intuitive, 
easy-to-use Hadoop management web UI backed by its RESTful APIs.
Fedora Account System Username: pmackinn

https://fedoraproject.org/wiki/SIGs/bigdata/packaging/Ambari

This package disables building the agent component by default since the Fedora agent is incompatible with HDP stacks.

An HDP agent (e.g., on Centos 6) can be force-configured past various version checks to interop with the Fedora server but the server will ultimately fail to provision the agent host if it's manifest requires JDK 6.

Comment 1 Pete MacKinnon 2014-03-26 12:58:36 UTC
Updated the spec to not bother doing the JDK conversions since at setup ambari-server can be invoked with "-j /usr/lib/jvm/java" which will be used by all agents (and the server). This can get an agent installation further along in the process.

Also, simply embedded the HDP build version number (23) for 1.4.4 in the server since the agent-server checks become problematic without it.

Comment 2 gil cattaneo 2014-03-26 13:51:43 UTC
There are a lot of bundled javascript libraries inside Ambari-web (re)source structure.
e.g JQuery  and others (see https://bugzilla.redhat.com/show_bug.cgi?id=857992)
Also for Ambari-common contains buldled python libraries  (e.g. Jinja2 and others)
Please, remove them or open an FPC exception

Comment 3 gil cattaneo 2014-03-26 13:53:17 UTC
jquery bug @ https://bugzilla.redhat.com/show_bug.cgi?id=1078371

Comment 4 Pete MacKinnon 2014-03-26 14:09:01 UTC
The agent is not currently intended to be built due to puppet version issues and those python libs are not packaged here anyway. Instead the agent would rely on the system versions.

As for the bundled javascript libs, they are minified together into a vendor.js bundle which could be installed post-packaging.

Comment 5 gil cattaneo 2014-03-26 14:40:30 UTC
Created attachment 915876 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 6 Pete MacKinnon 2014-03-27 17:04:19 UTC
Spec URL: http://pmackinn.fedorapeople.org/ambari/ambari.spec
SRPM URL: http://pmackinn.fedorapeople.org/ambari/ambari-1.4.4-1.fc20.src.rpm

- adding conditional to, by default, not bundle the vendor js scripts (--with vendor_scripts to enable). Those scripts must be built from upstream source and installed manually after the ambari-server package is installed. 
- fixed rpmlint shebang and perm issues

Comment 7 Pete MacKinnon 2014-04-01 12:30:01 UTC
Temporary omnibus bundling exception for vendor javascript lodged: https://fedorahosted.org/fpc/ticket/415

Comment 8 gil cattaneo 2014-04-01 15:37:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 118 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1076506-ambari/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/ambari,
     /etc/logrotate.d
[!]: Package contains no bundled libraries without FPC exception.
   JQuery and jinja2
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

Python:
[?]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
 usr/share/ambari/ambari-server/lib/web/font/fontawesome-webfont.ttf
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ambari-
     server , ambari-client , ambari-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ambari-1.4.4-1.fc21.noarch.rpm
          ambari-server-1.4.4-1.fc21.noarch.rpm
          ambari-client-1.4.4-1.fc21.noarch.rpm
          ambari-javadoc-1.4.4-1.fc21.noarch.rpm
          ambari-1.4.4-1.fc21.src.rpm
ambari.noarch: E: devel-dependency java-devel
ambari.noarch: W: no-version-in-last-changelog
ambari-server.noarch: W: summary-not-capitalized C server module for ambari
ambari-server.noarch: W: no-version-in-last-changelog
ambari-server.noarch: W: no-documentation
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-entry-1.5.7.jar /usr/share/java/apacheds/apacheds-core-entry.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/files/gmond.init 0644L /bin/sh
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/pigSmoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-4.2.jar /usr/share/java/objectweb-asm/asm.jar
ambari-server.noarch: E: zero-length /var/lib/ambari-server/keys/db/index.txt
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-beans-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-beans.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/OOZIE/package/templates/oozie-env.sh.j2 0644L /bin/bash
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-dsml-parser-0.9.19.jar /usr/share/java/apacheds/shared-dsml-parser.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jboss-connector-api_1.7_spec-any.jar /usr/share/java/jboss-connector-1.7-api/jboss-connector-api_1.7_spec.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/files/gmond.init 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/org.eclipse.osgi-3.6.0.v20100517.jar /usr/share/java/eclipse/osgi.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_server.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/eclipselink-2.4.0.jar /usr/share/java/eclipselink/eclipselink.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-3.0.jar /usr/share/java/guice/google-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.servlet-3.0.0.v201112011016.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-crypto-3.1.6.RELEASE.jar /usr/share/java/springframework-security/spring-security-crypto.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-core-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-core.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_server_service.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-jdbc-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-jdbc.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_server.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-jaxrs-1.9.9.jar /usr/share/java/jackson/jackson-jaxrs.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-constants-0.9.19.jar /usr/share/java/apacheds/shared-ldap-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bytelist-any.jar /usr/share/java/bytelist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-1.5.5.jar /usr/share/java/apacheds/apacheds-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-web-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-lang-2.5.jar /usr/share/java/apache-commons-lang.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/templates/gangliaLib.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-ldap-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-constants-1.5.7.jar /usr/share/java/apacheds/apacheds-core-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-jndi-1.5.7.jar /usr/share/java/apacheds/apacheds-core-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/aopalliance-1.0.jar /usr/share/java/aopalliance.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/SQOOP/package/scripts/params.py
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_monitor.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-core-1.11.jar /usr/share/java/jersey/jersey-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-4.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/hooks/before-START/scripts/hook.py
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/startMetastore.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-tx-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-tx.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-base-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-base.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-guice-1.11.jar /usr/share/java/jersey/jersey-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/isorelax-SYSTEM.jar /usr/share/java/isorelax.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-i18n-0.9.19.jar /usr/share/java/apacheds/shared-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-web-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/stax-api-1.0-2.jar /usr/share/java/bea-stax-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-io-2.1.jar /usr/share/java/commons-io.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hsqldb-1.jar /usr/share/java/hsqldb1-1.8.0.10.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/PIG/package/files/pigSmoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-dao-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-dao.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-context-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-context.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-manager-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-manager.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpcore-4.3.2.jar /usr/share/java/httpcomponents/httpcore.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/SQOOP/package/scripts/sqoop.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xml-apis-1.0.b2.jar /usr/share/java/xml-commons-apis.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-codec-1.8.jar /usr/share/java/commons-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hibernate-jpa-2.0-api-any.jar /usr/share/java/hibernate-jpa-2.0-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-cursor-0.9.19.jar /usr/share/java/apacheds/shared-cursor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-aop-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-aop.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-net-1.4.1.jar /usr/share/java/commons-net.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-xc-1.9.9.jar /usr/share/java/jackson/jackson-xc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xpp3-1.1.4c.jar /usr/share/java/xpp3.jar
ambari-server.noarch: E: zero-length /usr/share/ambari/ambari-server/lib/web/data/apps/jobs.json
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr311-api-any.jar /usr/share/java/jsr-311.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-tree-5.0.1.jar /usr/share/java/objectweb-asm/asm-tree.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-multipart-1.11.jar /usr/share/java/jersey/jersey-multipart.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-core-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-logging-1.1.1.jar /usr/share/java/commons-logging.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/files/gmetad.init 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tuscany-sdo-api-r2.1-1.1.1.jar /usr/share/java/tuscany-sdo-java.jar
ambari-server.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ambari_server/os_type_check.sh 0644L /bin/bash
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/templates/gangliaEnv.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-0.9.17.jar /usr/share/java/apacheds/shared-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-protocol-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/log4j-1.2.16.jar /usr/share/java/log4j.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_monitor_service.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-assistedinject-3.0.jar /usr/share/java/guice/guice-assistedinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mimepull-any.jar /usr/share/java/mimepull.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-i18n-1.5.7.jar /usr/share/java/apacheds/apacheds-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-ldap-core-1.3.1.RELEASE.jar /usr/share/java/spring-ldap/spring-ldap-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldif-0.9.19.jar /usr/share/java/apacheds/shared-ldif.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/startHiveserver2.sh
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/templates/gangliaLib.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-log4j12-1.7.2.jar /usr/share/java/slf4j/slf4j-log4j12.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-jndi-0.9.19.jar /usr/share/java/apacheds/shared-ldap-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-el-api-any.jar /usr/share/java/tomcat-el-api.jar
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/log4j.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-3.3.1.jar /usr/share/java/objectweb-asm3/asm.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-utils-1.5.7.jar /usr/share/java/apacheds/apacheds-utils.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/hooks/before-START/scripts/hook.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/relaxngDatatype-SYSTEM.jar /usr/share/java/relaxngDatatype.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jaxb-impl-2.2.3-1.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-webapp-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-webapp-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-servlet-1.17.1.jar /usr/share/java/jersey/jersey-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-interceptor_3.0_spec-any.jar /usr/share/java/geronimo-interceptor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/derby-10.9.1.0.jar /usr/share/java/derby/derby.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jcodings-1.0.4.jar /usr/share/java/jcodings.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_monitor_service.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-2.2.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/SQOOP/package/scripts/params.py
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/templates/gangliaEnv.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-kerberos-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-kerberos-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-server-1.11.jar /usr/share/java/jersey/jersey-server.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-tck-1.2.jar /usr/share/java/objenesis/objenesis-tck.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-json-1.11.jar /usr/share/java/jersey/jersey-json.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/params.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-core-asl-1.9.9.jar /usr/share/java/jackson/jackson-core-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-servlet-api-any.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/istack-commons-runtime-2.6.1.jar /usr/share/java/istack-commons-runtime.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/NAGIOS/package/templates/nagios.j2 0644L /bin/sh
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/hiveserver2Smoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-codec-0.9.19.jar /usr/share/java/apacheds/shared-asn1-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/gson-2.2.2.jar /usr/share/java/google-gson.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/msv-msv-SYSTEM.jar /usr/share/java/msv-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/servlet-api-2.5.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/params.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-expression-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-expression.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-ldap-1.5.5.jar /usr/share/java/apacheds/apacheds-protocol-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-util-4.2.jar /usr/share/java/objectweb-asm/asm-util.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-tools-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-tools.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-xml-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-xml-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.persistence-2.0.5.jar /usr/share/java/eclipselink-persistence-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-validation_1.0_spec-any.jar /usr/share/java/geronimo-validation.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guava-14.0.1.jar /usr/share/java/guava.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-loader-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-loader.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HBASE/package/files/hbaseSmokeVerify.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-config-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-config.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.inject-1.jar /usr/share/java/atinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-servlet-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-servlet-8.1.14.v20131031.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/files/gmetad.init 0644L /bin/sh
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/ambari.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-converter-0.9.19.jar /usr/share/java/apacheds/shared-ldap-converter.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_monitor.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bcprov-jdk16-140.jar /usr/share/java/bcprov.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-1.2.jar /usr/share/java/objenesis/objenesis.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_server_service.py
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-api-1.7.2.jar /usr/share/java/slf4j/slf4j-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/antlr-2.7.7.jar /usr/share/java/antlr.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/postgresql-9.1-901.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-security-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-security-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/NAGIOS/package/files/check_cpu.pl 0644L /usr/bin/perl
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-mapper-asl-1.9.2.jar /usr/share/java/jackson/jackson-mapper-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-0.9.19.jar /usr/share/java/apacheds/shared-asn1.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/hooks/before-START.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/SQOOP/package/scripts/sqoop.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-client-1.11.jar /usr/share/java/jersey/jersey-client.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/hiveSmoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-persist-3.0.jar /usr/share/java/guice/guice-persist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-api-1.5.7.jar /usr/share/java/apacheds/apacheds-core-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/txw2-20110809.jar /usr/share/java/txw2.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-servlet-3.0.jar /usr/share/java/guice/guice-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mina-core-2.0.0-RC1.jar /usr/share/java/apache-mina/mina-core.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/hcatSmoke.sh
ambari-server.noarch: W: no-manual-page-for-binary ambari-server
ambari-client.noarch: W: summary-not-capitalized C client module for ambari
ambari-client.noarch: W: no-version-in-last-changelog
ambari-client.noarch: W: no-documentation
ambari-javadoc.noarch: W: no-version-in-last-changelog
ambari.src: W: no-version-in-last-changelog
5 packages and 0 specfiles checked; 42 errors, 133 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ambari-client ambari ambari-javadoc ambari-server
ambari-client.noarch: W: summary-not-capitalized C client module for ambari
ambari-client.noarch: W: no-version-in-last-changelog
ambari-client.noarch: W: no-documentation
ambari.noarch: E: devel-dependency java-devel
ambari.noarch: W: no-version-in-last-changelog
ambari-javadoc.noarch: W: no-version-in-last-changelog
ambari-server.noarch: W: summary-not-capitalized C server module for ambari
ambari-server.noarch: W: no-version-in-last-changelog
ambari-server.noarch: W: no-documentation
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-entry-1.5.7.jar /usr/share/java/apacheds/apacheds-core-entry.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/files/gmond.init 0644L /bin/sh
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/pigSmoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-4.2.jar /usr/share/java/objectweb-asm/asm.jar
ambari-server.noarch: E: zero-length /var/lib/ambari-server/keys/db/index.txt
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-beans-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-beans.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/OOZIE/package/templates/oozie-env.sh.j2 0644L /bin/bash
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-dsml-parser-0.9.19.jar /usr/share/java/apacheds/shared-dsml-parser.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jboss-connector-api_1.7_spec-any.jar /usr/share/java/jboss-connector-1.7-api/jboss-connector-api_1.7_spec.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/files/gmond.init 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/org.eclipse.osgi-3.6.0.v20100517.jar /usr/share/java/eclipse/osgi.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_server.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/eclipselink-2.4.0.jar /usr/share/java/eclipselink/eclipselink.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-3.0.jar /usr/share/java/guice/google-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.servlet-3.0.0.v201112011016.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-crypto-3.1.6.RELEASE.jar /usr/share/java/springframework-security/spring-security-crypto.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-core-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-core.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_server_service.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-jdbc-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-jdbc.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_server.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-jaxrs-1.9.9.jar /usr/share/java/jackson/jackson-jaxrs.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-constants-0.9.19.jar /usr/share/java/apacheds/shared-ldap-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bytelist-any.jar /usr/share/java/bytelist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-1.5.5.jar /usr/share/java/apacheds/apacheds-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-web-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-lang-2.5.jar /usr/share/java/apache-commons-lang.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/templates/gangliaLib.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-ldap-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-constants-1.5.7.jar /usr/share/java/apacheds/apacheds-core-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-jndi-1.5.7.jar /usr/share/java/apacheds/apacheds-core-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/aopalliance-1.0.jar /usr/share/java/aopalliance.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/SQOOP/package/scripts/params.py
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_monitor.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-core-1.11.jar /usr/share/java/jersey/jersey-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-4.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/hooks/before-START/scripts/hook.py
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/startMetastore.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-tx-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-tx.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-base-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-base.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-guice-1.11.jar /usr/share/java/jersey/jersey-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/isorelax-SYSTEM.jar /usr/share/java/isorelax.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-i18n-0.9.19.jar /usr/share/java/apacheds/shared-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-web-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/stax-api-1.0-2.jar /usr/share/java/bea-stax-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-io-2.1.jar /usr/share/java/commons-io.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hsqldb-1.jar /usr/share/java/hsqldb1-1.8.0.10.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/PIG/package/files/pigSmoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-dao-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-dao.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-context-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-context.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-manager-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-manager.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpcore-4.3.2.jar /usr/share/java/httpcomponents/httpcore.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/SQOOP/package/scripts/sqoop.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xml-apis-1.0.b2.jar /usr/share/java/xml-commons-apis.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-codec-1.8.jar /usr/share/java/commons-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hibernate-jpa-2.0-api-any.jar /usr/share/java/hibernate-jpa-2.0-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-cursor-0.9.19.jar /usr/share/java/apacheds/shared-cursor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-aop-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-aop.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-net-1.4.1.jar /usr/share/java/commons-net.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-xc-1.9.9.jar /usr/share/java/jackson/jackson-xc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xpp3-1.1.4c.jar /usr/share/java/xpp3.jar
ambari-server.noarch: E: zero-length /usr/share/ambari/ambari-server/lib/web/data/apps/jobs.json
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr311-api-any.jar /usr/share/java/jsr-311.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-tree-5.0.1.jar /usr/share/java/objectweb-asm/asm-tree.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-multipart-1.11.jar /usr/share/java/jersey/jersey-multipart.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-core-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-logging-1.1.1.jar /usr/share/java/commons-logging.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/files/gmetad.init 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tuscany-sdo-api-r2.1-1.1.1.jar /usr/share/java/tuscany-sdo-java.jar
ambari-server.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ambari_server/os_type_check.sh 0644L /bin/bash
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/templates/gangliaEnv.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-0.9.17.jar /usr/share/java/apacheds/shared-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-protocol-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/log4j-1.2.16.jar /usr/share/java/log4j.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_monitor_service.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-assistedinject-3.0.jar /usr/share/java/guice/guice-assistedinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mimepull-any.jar /usr/share/java/mimepull.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-i18n-1.5.7.jar /usr/share/java/apacheds/apacheds-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-ldap-core-1.3.1.RELEASE.jar /usr/share/java/spring-ldap/spring-ldap-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldif-0.9.19.jar /usr/share/java/apacheds/shared-ldif.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/startHiveserver2.sh
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/templates/gangliaLib.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-log4j12-1.7.2.jar /usr/share/java/slf4j/slf4j-log4j12.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-jndi-0.9.19.jar /usr/share/java/apacheds/shared-ldap-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-el-api-any.jar /usr/share/java/tomcat-el-api.jar
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/log4j.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-3.3.1.jar /usr/share/java/objectweb-asm3/asm.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-utils-1.5.7.jar /usr/share/java/apacheds/apacheds-utils.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/hooks/before-START/scripts/hook.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/relaxngDatatype-SYSTEM.jar /usr/share/java/relaxngDatatype.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jaxb-impl-2.2.3-1.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-webapp-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-webapp-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-servlet-1.17.1.jar /usr/share/java/jersey/jersey-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-interceptor_3.0_spec-any.jar /usr/share/java/geronimo-interceptor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/derby-10.9.1.0.jar /usr/share/java/derby/derby.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jcodings-1.0.4.jar /usr/share/java/jcodings.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_monitor_service.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-2.2.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/SQOOP/package/scripts/params.py
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/templates/gangliaEnv.sh.j2 0644L /bin/sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-kerberos-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-kerberos-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-server-1.11.jar /usr/share/java/jersey/jersey-server.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-tck-1.2.jar /usr/share/java/objenesis/objenesis-tck.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-json-1.11.jar /usr/share/java/jersey/jersey-json.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/params.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-core-asl-1.9.9.jar /usr/share/java/jackson/jackson-core-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-servlet-api-any.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/istack-commons-runtime-2.6.1.jar /usr/share/java/istack-commons-runtime.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/NAGIOS/package/templates/nagios.j2 0644L /bin/sh
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/hiveserver2Smoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-codec-0.9.19.jar /usr/share/java/apacheds/shared-asn1-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/gson-2.2.2.jar /usr/share/java/google-gson.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/msv-msv-SYSTEM.jar /usr/share/java/msv-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/servlet-api-2.5.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/params.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-expression-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-expression.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-ldap-1.5.5.jar /usr/share/java/apacheds/apacheds-protocol-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-util-4.2.jar /usr/share/java/objectweb-asm/asm-util.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-tools-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-tools.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-xml-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-xml-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.persistence-2.0.5.jar /usr/share/java/eclipselink-persistence-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-validation_1.0_spec-any.jar /usr/share/java/geronimo-validation.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guava-14.0.1.jar /usr/share/java/guava.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-loader-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-loader.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HBASE/package/files/hbaseSmokeVerify.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-config-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-config.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.inject-1.jar /usr/share/java/atinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-servlet-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-servlet-8.1.14.v20131031.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/files/gmetad.init 0644L /bin/sh
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/ambari.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-converter-0.9.19.jar /usr/share/java/apacheds/shared-ldap-converter.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/services/GANGLIA/package/scripts/ganglia_monitor.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bcprov-jdk16-140.jar /usr/share/java/bcprov.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-1.2.jar /usr/share/java/objenesis/objenesis.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia_server_service.py
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/GANGLIA/package/scripts/ganglia.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-api-1.7.2.jar /usr/share/java/slf4j/slf4j-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/antlr-2.7.7.jar /usr/share/java/antlr.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/postgresql-9.1-901.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-security-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-security-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema.jar
ambari-server.noarch: E: non-executable-script /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/NAGIOS/package/files/check_cpu.pl 0644L /usr/bin/perl
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-mapper-asl-1.9.2.jar /usr/share/java/jackson/jackson-mapper-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-0.9.19.jar /usr/share/java/apacheds/shared-asn1.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/1.3._/hooks/before-START.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/SQOOP/package/scripts/sqoop.py
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-client-1.11.jar /usr/share/java/jersey/jersey-client.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/hiveSmoke.sh
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-persist-3.0.jar /usr/share/java/guice/guice-persist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-api-1.5.7.jar /usr/share/java/apacheds/apacheds-core-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/txw2-20110809.jar /usr/share/java/txw2.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-servlet-3.0.jar /usr/share/java/guice/guice-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mina-core-2.0.0-RC1.jar /usr/share/java/apache-mina/mina-core.jar
ambari-server.noarch: E: script-without-shebang /var/lib/ambari-server/resources/stacks/HDP/2.0._/services/HIVE/package/files/hcatSmoke.sh
ambari-server.noarch: W: no-manual-page-for-binary ambari-server
4 packages and 0 specfiles checked; 42 errors, 132 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/gil/1076506-ambari/srpm/ambari.spec	2014-04-01 16:24:54.767022715 +0200
+++ /home/gil/1076506-ambari/srpm-unpacked/ambari.spec	2014-03-27 13:46:50.000000000 +0100
@@ -64,6 +64,10 @@
 
 %package        server
-Summary:        Server module for %{name}
+Summary:        server module for %{name}
+
+Requires:       %{name}
+Requires:       fontawesome-fonts
 Requires:       postgresql-server
+
 %description    server
 %{summary}.
@@ -71,5 +75,5 @@
 %if %{with agent}
 %package        agent
-Summary:        Agent module for %{name}
+Summary:        agent module for %{name}
 Requires:       python-jinja2
 Requires:       openssl
@@ -81,5 +85,5 @@
 
 %package        client
-Summary:        Client module for %{name}
+Summary:        client module for %{name}
 %description    client
 %{summary}.
@@ -225,25 +229,10 @@
 cd ambari-server
 
-# rpmlint fixups for all the messy perms
-EXEC_FILES=$(find src/main/resources -type f -name '*.py' -o -name '*.sh' -o -name '*.init' -o -name '*.sh.j2')
-for f in $EXEC_FILES; do
-    chmod a+x $f
-done
-SH_FILES=$(find src/main/resources -type f -name '*.sh*' -exec grep -L "#!/bin" {} \;)
-for f in $SH_FILES; do
-    sed -i '1i #!/bin/sh' $f 
-done
-PY_FILES=$(find src/main/resources -type f -name '*.py*' -exec grep -L "#!/bin" {} \;)
-for f in $PY_FILES; do
-    sed -i '1i #!/bin/env python' $f 
-done
-# random stragglers
-chmod a+x src/main/resources/stacks/HDP/2.0._/services/NAGIOS/package/templates/nagios.j2
-chmod a+x src/main/resources/stacks/HDP/2.0._/services/NAGIOS/package/files/check_cpu.pl
+# various exec file fixups
+find src/main/resources -name '*.py' -exec chmod +x {} \;
+find src/main/resources -name '*.sh' -exec chmod +x {} \;
 
 cp -p src/main/resources/*.{sql,json} %{buildroot}%{_var}/lib/ambari-server/resources
 cp -pr src/main/resources/{scripts,stacks,upgrade} %{buildroot}%{_var}/lib/ambari-server/resources
-# zero-length file
-rm src/main/resources/db/index.txt
 cp -pr src/main/resources/db %{buildroot}%{_var}/lib/ambari-server/keys
 cp -p src/main/resources/custom_actions/hdfs_rebalance.py %{buildroot}%{_var}/lib/ambari-server/resources
@@ -260,5 +249,4 @@
 # no egg info for ambari-server
 install -p src/main/python/ambari-server.py %{buildroot}%{_datadir}/%{name}/ambari-server/sbin
-chmod +x src/main/python/os_type_check.sh
 cp -p src/main/python/{bootstrap.py,setupAgent.py,os_type_check.sh} %{buildroot}%{python_sitelib}/ambari_server
 
@@ -267,7 +255,4 @@
 rm -fr ../ambari-web/public-static/javascripts/vendor*
 %endif
-
-# zero-length file
-rm ../ambari-web/public-static/data/apps/jobs.json
 cp -pr ../ambari-web/public-static/* %{buildroot}%{_datadir}/%{name}/ambari-server/lib/web
 cp -pr src/examples %{buildroot}%{_datadir}/%{name}/ambari-server
@@ -330,6 +315,4 @@
 
 %changelog
-* Sat Feb 22 2014 Peter MacKinnon <pmackinn@redhat.com> 1.4.4-1
+* Sat Feb 22 2014 Peter MacKinnon <pmackinn@redhat.com>
 - Initial RPM
-- rpmlint fixes
-- throw away bundled vendor js libs


Requires
--------
ambari-client (rpmlib, GLIBC filtered):
    /bin/sh
    jpackage-utils
    mvn(org.apache.ambari:ambari-project:pom:)
    mvn(org.apache.maven.plugins:maven-assembly-plugin)
    mvn(org.apache.rat:apache-rat-plugin)
    mvn(org.codehaus.mojo:exec-maven-plugin)
    python(abi)

ambari (rpmlib, GLIBC filtered):
    ambari-server
    java-devel
    jpackage-utils
    mvn(org.apache.rat:apache-rat-plugin)

ambari-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

ambari-server (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    ambari
    config(ambari-server)
    fontawesome-fonts
    java-headless
    jpackage-utils
    mvn(asm:asm)
    mvn(cglib:cglib)
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.code.gson:gson)
    mvn(com.google.guava:guava)
    mvn(com.google.inject.extensions:guice-assistedinject)
    mvn(com.google.inject.extensions:guice-persist)
    mvn(com.google.inject.extensions:guice-servlet)
    mvn(com.google.inject:guice)
    mvn(com.sun.jersey.contribs:jersey-guice)
    mvn(com.sun.jersey.contribs:jersey-multipart)
    mvn(com.sun.jersey:jersey-client)
    mvn(com.sun.jersey:jersey-json)
    mvn(com.sun.jersey:jersey-server)
    mvn(commons-codec:commons-codec)
    mvn(commons-httpclient:commons-httpclient)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(commons-logging:commons-logging)
    mvn(commons-net:commons-net)
    mvn(javax.servlet:servlet-api)
    mvn(log4j:log4j)
    mvn(org.apache.derby:derby)
    mvn(org.apache.directory.server:apacheds-core)
    mvn(org.apache.directory.server:apacheds-protocol-ldap)
    mvn(org.apache.directory.shared:shared-ldap)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-jaxrs)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.codehaus.jackson:jackson-xc)
    mvn(org.eclipse.jetty:jetty-security:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-server:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-servlet:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-webapp:8.1.14.v20131031)
    mvn(org.eclipse.persistence:eclipselink)
    mvn(org.objenesis:objenesis-tck)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.springframework.ldap:spring-ldap-core)
    mvn(org.springframework.security:spring-security-config)
    mvn(org.springframework.security:spring-security-core)
    mvn(org.springframework.security:spring-security-ldap)
    mvn(org.springframework.security:spring-security-web)
    mvn(postgresql:postgresql)
    postgresql-server
    python(abi)



Provides
--------
ambari-client:
    ambari-client
    mvn(org.apache.ambari:ambari-client)
    mvn(org.apache.ambari:ambari-client:pom:)

ambari:
    ambari
    mvn(org.apache.ambari:ambari)
    mvn(org.apache.ambari:ambari-project)
    mvn(org.apache.ambari:ambari-project:pom:)
    mvn(org.apache.ambari:ambari:pom:)

ambari-javadoc:
    ambari-javadoc

ambari-server:
    ambari-server
    config(ambari-server)
    mvn(org.apache.ambari:ambari-server)



Source checksums
----------------
http://www.apache.org/dist/ambari/ambari-1.4.4/ambari-1.4.4.tar.gz :
  CHECKSUM(SHA256) this package     : 1e5493b034ffabe683eba19d2ef5c18dc3b8edbd21da2355f52e9dde2689e077
  CHECKSUM(SHA256) upstream package : 1e5493b034ffabe683eba19d2ef5c18dc3b8edbd21da2355f52e9dde2689e077


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1076506 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Shell-api, Generic, Java, Perl
Disabled plugins: C/C++, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 9 gil cattaneo 2014-04-01 15:44:42 UTC
ISSUES:

Spec file differ from src rpm

[!]: Avoid bundling fonts in non-fonts packages.
 usr/share/ambari/ambari-server/lib/web/font/fontawesome-webfont.ttf

/usr/share/ambari/ambari-server/lib/DBConnectionVerification.jar
should be installed in /usr/share/java/ambari/
and linked in /usr/share/ambari/ambari-server/lib

can also remove %%check section and move its comments in %build section

Comment 11 gil cattaneo 2014-04-01 15:51:11 UTC
(In reply to gil cattaneo from comment #9)

> [!]: Avoid bundling fonts in non-fonts packages.
>  usr/share/ambari/ambari-server/lib/web/font/fontawesome-webfont.ttf
and
usr/share/ambari/ambari-server/lib/web/font/fontawesome-webfont.eot
usr/share/ambari/ambari-server/lib/web/font/fontawesome-webfont.svg
usr/share/ambari/ambari-server/lib/web/font/fontawesome-webfont.woff

Comment 12 Pete MacKinnon 2014-04-01 16:00:42 UTC
Thanks gil. Apologies about the spec/srpm diff...workflow fail. :-(

Fedora has one (1) of those fonts. I'll have to determine if leaving the others out are impactful at runtime.

The shebang/perm issues will be corrected in the next iteration. Probably not necessary to dump the whole review text in each time though.

Comment 13 gil cattaneo 2014-04-01 17:14:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 118 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1076506-ambari/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/ambari,
     /etc/logrotate.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

Python:
[?]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ambari-
     server , ambari-client , ambari-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[?]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ambari-1.4.4-1.fc21.noarch.rpm
          ambari-server-1.4.4-1.fc21.noarch.rpm
          ambari-client-1.4.4-1.fc21.noarch.rpm
          ambari-javadoc-1.4.4-1.fc21.noarch.rpm
          ambari-1.4.4-1.fc21.src.rpm
ambari.noarch: E: devel-dependency java-devel
ambari-server.noarch: W: no-documentation
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-entry-1.5.7.jar /usr/share/java/apacheds/apacheds-core-entry.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-4.2.jar /usr/share/java/objectweb-asm/asm.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-beans-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-beans.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-dsml-parser-0.9.19.jar /usr/share/java/apacheds/shared-dsml-parser.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jboss-connector-api_1.7_spec-any.jar /usr/share/java/jboss-connector-1.7-api/jboss-connector-api_1.7_spec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/org.eclipse.osgi-3.6.0.v20100517.jar /usr/share/java/eclipse/osgi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/eclipselink-2.4.0.jar /usr/share/java/eclipselink/eclipselink.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-3.0.jar /usr/share/java/guice/google-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.servlet-3.0.0.v201112011016.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-crypto-3.1.6.RELEASE.jar /usr/share/java/springframework-security/spring-security-crypto.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-core-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-jdbc-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-jdbc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-jaxrs-1.9.9.jar /usr/share/java/jackson/jackson-jaxrs.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-constants-0.9.19.jar /usr/share/java/apacheds/shared-ldap-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bytelist-any.jar /usr/share/java/bytelist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-1.5.5.jar /usr/share/java/apacheds/apacheds-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-web-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-lang-2.5.jar /usr/share/java/apache-commons-lang.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-ldap-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-constants-1.5.7.jar /usr/share/java/apacheds/apacheds-core-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-jndi-1.5.7.jar /usr/share/java/apacheds/apacheds-core-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/aopalliance-1.0.jar /usr/share/java/aopalliance.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-core-1.11.jar /usr/share/java/jersey/jersey-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-4.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-tx-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-tx.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-base-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-base.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-guice-1.11.jar /usr/share/java/jersey/jersey-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/isorelax-SYSTEM.jar /usr/share/java/isorelax.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-i18n-0.9.19.jar /usr/share/java/apacheds/shared-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-web-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/stax-api-1.0-2.jar /usr/share/java/bea-stax-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-io-2.1.jar /usr/share/java/commons-io.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hsqldb-1.jar /usr/share/java/hsqldb1-1.8.0.10.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-dao-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-dao.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-context-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-context.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-manager-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-manager.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpcore-4.3.2.jar /usr/share/java/httpcomponents/httpcore.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xml-apis-1.0.b2.jar /usr/share/java/xml-commons-apis.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-codec-1.8.jar /usr/share/java/commons-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hibernate-jpa-2.0-api-any.jar /usr/share/java/hibernate-jpa-2.0-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-cursor-0.9.19.jar /usr/share/java/apacheds/shared-cursor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-aop-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-aop.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-net-1.4.1.jar /usr/share/java/commons-net.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-xc-1.9.9.jar /usr/share/java/jackson/jackson-xc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xpp3-1.1.4c.jar /usr/share/java/xpp3.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr311-api-any.jar /usr/share/java/jsr-311.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-tree-5.0.1.jar /usr/share/java/objectweb-asm/asm-tree.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-multipart-1.11.jar /usr/share/java/jersey/jersey-multipart.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-core-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-logging-1.1.1.jar /usr/share/java/commons-logging.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tuscany-sdo-api-r2.1-1.1.1.jar /usr/share/java/tuscany-sdo-java.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-0.9.17.jar /usr/share/java/apacheds/shared-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-protocol-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/log4j-1.2.16.jar /usr/share/java/log4j.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-assistedinject-3.0.jar /usr/share/java/guice/guice-assistedinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mimepull-any.jar /usr/share/java/mimepull.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-i18n-1.5.7.jar /usr/share/java/apacheds/apacheds-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-ldap-core-1.3.1.RELEASE.jar /usr/share/java/spring-ldap/spring-ldap-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldif-0.9.19.jar /usr/share/java/apacheds/shared-ldif.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-log4j12-1.7.2.jar /usr/share/java/slf4j/slf4j-log4j12.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-jndi-0.9.19.jar /usr/share/java/apacheds/shared-ldap-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-el-api-any.jar /usr/share/java/tomcat-el-api.jar
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/log4j.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-3.3.1.jar /usr/share/java/objectweb-asm3/asm.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-utils-1.5.7.jar /usr/share/java/apacheds/apacheds-utils.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/relaxngDatatype-SYSTEM.jar /usr/share/java/relaxngDatatype.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jaxb-impl-2.2.3-1.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-webapp-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-webapp-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-servlet-1.17.1.jar /usr/share/java/jersey/jersey-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-interceptor_3.0_spec-any.jar /usr/share/java/geronimo-interceptor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/derby-10.9.1.0.jar /usr/share/java/derby/derby.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jcodings-1.0.4.jar /usr/share/java/jcodings.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-2.2.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-kerberos-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-kerberos-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-server-1.11.jar /usr/share/java/jersey/jersey-server.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-tck-1.2.jar /usr/share/java/objenesis/objenesis-tck.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-json-1.11.jar /usr/share/java/jersey/jersey-json.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-core-asl-1.9.9.jar /usr/share/java/jackson/jackson-core-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-servlet-api-any.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/istack-commons-runtime-2.6.1.jar /usr/share/java/istack-commons-runtime.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-codec-0.9.19.jar /usr/share/java/apacheds/shared-asn1-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/gson-2.2.2.jar /usr/share/java/google-gson.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/msv-msv-SYSTEM.jar /usr/share/java/msv-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/servlet-api-2.5.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-expression-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-expression.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-ldap-1.5.5.jar /usr/share/java/apacheds/apacheds-protocol-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-util-4.2.jar /usr/share/java/objectweb-asm/asm-util.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-tools-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-tools.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-xml-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-xml-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.persistence-2.0.5.jar /usr/share/java/eclipselink-persistence-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-validation_1.0_spec-any.jar /usr/share/java/geronimo-validation.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guava-14.0.1.jar /usr/share/java/guava.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-loader-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-loader.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-config-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-config.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.inject-1.jar /usr/share/java/atinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-servlet-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-servlet-8.1.14.v20131031.jar
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/ambari.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-converter-0.9.19.jar /usr/share/java/apacheds/shared-ldap-converter.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bcprov-jdk16-140.jar /usr/share/java/bcprov.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-1.2.jar /usr/share/java/objenesis/objenesis.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-api-1.7.2.jar /usr/share/java/slf4j/slf4j-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/antlr-2.7.7.jar /usr/share/java/antlr.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/postgresql-9.1-901.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-security-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-security-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-mapper-asl-1.9.2.jar /usr/share/java/jackson/jackson-mapper-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-0.9.19.jar /usr/share/java/apacheds/shared-asn1.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-client-1.11.jar /usr/share/java/jersey/jersey-client.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-persist-3.0.jar /usr/share/java/guice/guice-persist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-api-1.5.7.jar /usr/share/java/apacheds/apacheds-core-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/txw2-20110809.jar /usr/share/java/txw2.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-servlet-3.0.jar /usr/share/java/guice/guice-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mina-core-2.0.0-RC1.jar /usr/share/java/apache-mina/mina-core.jar
ambari-server.noarch: W: no-manual-page-for-binary ambari-server
ambari-client.noarch: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 126 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ambari-client ambari ambari-javadoc ambari-server
ambari-client.noarch: W: no-documentation
ambari.noarch: E: devel-dependency java-devel
ambari-server.noarch: W: no-documentation
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-entry-1.5.7.jar /usr/share/java/apacheds/apacheds-core-entry.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-4.2.jar /usr/share/java/objectweb-asm/asm.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-beans-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-beans.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-dsml-parser-0.9.19.jar /usr/share/java/apacheds/shared-dsml-parser.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jboss-connector-api_1.7_spec-any.jar /usr/share/java/jboss-connector-1.7-api/jboss-connector-api_1.7_spec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/org.eclipse.osgi-3.6.0.v20100517.jar /usr/share/java/eclipse/osgi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/eclipselink-2.4.0.jar /usr/share/java/eclipselink/eclipselink.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-3.0.jar /usr/share/java/guice/google-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-server-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-server-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.servlet-3.0.0.v201112011016.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-crypto-3.1.6.RELEASE.jar /usr/share/java/springframework-security/spring-security-crypto.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-core-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-jdbc-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-jdbc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-jaxrs-1.9.9.jar /usr/share/java/jackson/jackson-jaxrs.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-constants-0.9.19.jar /usr/share/java/apacheds/shared-ldap-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bytelist-any.jar /usr/share/java/bytelist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-1.5.5.jar /usr/share/java/apacheds/apacheds-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-web-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-lang-2.5.jar /usr/share/java/apache-commons-lang.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-httpclient-3.1.jar /usr/share/java/jakarta-commons-httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-ldap-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-constants-1.5.7.jar /usr/share/java/apacheds/apacheds-core-constants.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-jndi-1.5.7.jar /usr/share/java/apacheds/apacheds-core-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/aopalliance-1.0.jar /usr/share/java/aopalliance.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-core-1.11.jar /usr/share/java/jersey/jersey-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-4.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-tx-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-tx.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-base-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-base.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-guice-1.11.jar /usr/share/java/jersey/jersey-guice.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/isorelax-SYSTEM.jar /usr/share/java/isorelax.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-i18n-0.9.19.jar /usr/share/java/apacheds/shared-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-web-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-web.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/stax-api-1.0-2.jar /usr/share/java/bea-stax-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-io-2.1.jar /usr/share/java/commons-io.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hsqldb-1.jar /usr/share/java/hsqldb1-1.8.0.10.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-dao-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-dao.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-continuation-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-continuation-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-context-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-context.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-manager-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-manager.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpcore-4.3.2.jar /usr/share/java/httpcomponents/httpcore.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xml-apis-1.0.b2.jar /usr/share/java/xml-commons-apis.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-codec-1.8.jar /usr/share/java/commons-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/hibernate-jpa-2.0-api-any.jar /usr/share/java/hibernate-jpa-2.0-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-cursor-0.9.19.jar /usr/share/java/apacheds/shared-cursor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-aop-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-aop.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-net-1.4.1.jar /usr/share/java/commons-net.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-xc-1.9.9.jar /usr/share/java/jackson/jackson-xc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/xpp3-1.1.4c.jar /usr/share/java/xpp3.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-util-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-util-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr311-api-any.jar /usr/share/java/jsr-311.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-tree-5.0.1.jar /usr/share/java/objectweb-asm/asm-tree.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-multipart-1.11.jar /usr/share/java/jersey/jersey-multipart.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-core-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-logging-1.1.1.jar /usr/share/java/commons-logging.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tuscany-sdo-api-r2.1-1.1.1.jar /usr/share/java/tuscany-sdo-java.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-0.9.17.jar /usr/share/java/apacheds/shared-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-protocol-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/log4j-1.2.16.jar /usr/share/java/log4j.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-assistedinject-3.0.jar /usr/share/java/guice/guice-assistedinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mimepull-any.jar /usr/share/java/mimepull.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-i18n-1.5.7.jar /usr/share/java/apacheds/apacheds-i18n.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-ldap-core-1.3.1.RELEASE.jar /usr/share/java/spring-ldap/spring-ldap-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldif-0.9.19.jar /usr/share/java/apacheds/shared-ldif.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-log4j12-1.7.2.jar /usr/share/java/slf4j/slf4j-log4j12.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-jndi-0.9.19.jar /usr/share/java/apacheds/shared-ldap-jndi.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-el-api-any.jar /usr/share/java/tomcat-el-api.jar
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/log4j.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-3.3.1.jar /usr/share/java/objectweb-asm3/asm.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/commons-collections-3.2.1.jar /usr/share/java/commons-collections.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-http-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-http-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-utils-1.5.7.jar /usr/share/java/apacheds/apacheds-utils.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/relaxngDatatype-SYSTEM.jar /usr/share/java/relaxngDatatype.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jaxb-impl-2.2.3-1.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-webapp-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-webapp-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-servlet-1.17.1.jar /usr/share/java/jersey/jersey-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-interceptor_3.0_spec-any.jar /usr/share/java/geronimo-interceptor.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/derby-10.9.1.0.jar /usr/share/java/derby/derby.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jcodings-1.0.4.jar /usr/share/java/jcodings.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/cglib-2.2.2.jar /usr/share/java/cglib.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-kerberos-shared-1.5.7.jar /usr/share/java/apacheds/apacheds-kerberos-shared.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-server-1.11.jar /usr/share/java/jersey/jersey-server.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-tck-1.2.jar /usr/share/java/objenesis/objenesis-tck.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-json-1.11.jar /usr/share/java/jersey/jersey-json.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/httpclient-4.2.5.jar /usr/share/java/httpcomponents/httpclient.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-core-asl-1.9.9.jar /usr/share/java/jackson/jackson-core-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/tomcat-servlet-api-any.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/istack-commons-runtime-2.6.1.jar /usr/share/java/istack-commons-runtime.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-codec-0.9.19.jar /usr/share/java/apacheds/shared-asn1-codec.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/gson-2.2.2.jar /usr/share/java/google-gson.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/msv-msv-SYSTEM.jar /usr/share/java/msv-core.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/servlet-api-2.5.jar /usr/share/java/tomcat-servlet-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-expression-3.0.7.RELEASE.jar /usr/share/java/springframework/spring-expression.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-io-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-io-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-protocol-ldap-1.5.5.jar /usr/share/java/apacheds/apacheds-protocol-ldap.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/asm-util-4.2.jar /usr/share/java/objectweb-asm/asm-util.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-xdbm-tools-1.5.7.jar /usr/share/java/apacheds/apacheds-xdbm-tools.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-xml-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-xml-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.persistence-2.0.5.jar /usr/share/java/eclipselink-persistence-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/geronimo-validation_1.0_spec-any.jar /usr/share/java/geronimo-validation.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guava-14.0.1.jar /usr/share/java/guava.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-loader-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema-loader.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/spring-security-config-3.1.2.RELEASE.jar /usr/share/java/springframework-security/spring-security-config.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/javax.inject-1.jar /usr/share/java/atinject.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-servlet-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-servlet-8.1.14.v20131031.jar
ambari-server.noarch: W: non-conffile-in-etc /etc/ambari-server/conf/ambari.properties
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-converter-0.9.19.jar /usr/share/java/apacheds/shared-ldap-converter.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/bcprov-jdk16-140.jar /usr/share/java/bcprov.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/objenesis-1.2.jar /usr/share/java/objenesis/objenesis.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/slf4j-api-1.7.2.jar /usr/share/java/slf4j/slf4j-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/antlr-2.7.7.jar /usr/share/java/antlr.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/postgresql-9.1-901.jdbc4.jar /usr/share/java/postgresql-jdbc.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jetty-security-8.1.14.v20131031.jar /usr/share/java/jetty8/jetty-security-8.1.14.v20131031.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-ldap-schema-0.9.19.jar /usr/share/java/apacheds/shared-ldap-schema.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jackson-mapper-asl-1.9.2.jar /usr/share/java/jackson/jackson-mapper-asl.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/shared-asn1-0.9.19.jar /usr/share/java/apacheds/shared-asn1.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jersey-client-1.11.jar /usr/share/java/jersey/jersey-client.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/jsr305-1.3.9.jar /usr/share/java/jsr-305.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-persist-3.0.jar /usr/share/java/guice/guice-persist.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/apacheds-core-api-1.5.7.jar /usr/share/java/apacheds/apacheds-core-api.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/txw2-20110809.jar /usr/share/java/txw2.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/guice-servlet-3.0.jar /usr/share/java/guice/guice-servlet.jar
ambari-server.noarch: W: dangling-symlink /usr/share/ambari/ambari-server/lib/mina-core-2.0.0-RC1.jar /usr/share/java/apache-mina/mina-core.jar
ambari-server.noarch: W: no-manual-page-for-binary ambari-server
4 packages and 0 specfiles checked; 1 errors, 126 warnings.
# echo 'rpmlint-done:'



Requires
--------
ambari-client (rpmlib, GLIBC filtered):
    /bin/sh
    jpackage-utils
    mvn(org.apache.ambari:ambari-project:pom:)
    mvn(org.apache.maven.plugins:maven-assembly-plugin)
    mvn(org.apache.rat:apache-rat-plugin)
    mvn(org.codehaus.mojo:exec-maven-plugin)
    python(abi)

ambari (rpmlib, GLIBC filtered):
    ambari-server
    java-devel
    jpackage-utils
    mvn(org.apache.rat:apache-rat-plugin)

ambari-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

ambari-server (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/env
    /bin/sh
    /usr/bin/env
    /usr/bin/perl
    /usr/bin/python
    config(ambari-server)
    java-headless
    jpackage-utils
    mvn(asm:asm)
    mvn(cglib:cglib)
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.code.gson:gson)
    mvn(com.google.guava:guava)
    mvn(com.google.inject.extensions:guice-assistedinject)
    mvn(com.google.inject.extensions:guice-persist)
    mvn(com.google.inject.extensions:guice-servlet)
    mvn(com.google.inject:guice)
    mvn(com.sun.jersey.contribs:jersey-guice)
    mvn(com.sun.jersey.contribs:jersey-multipart)
    mvn(com.sun.jersey:jersey-client)
    mvn(com.sun.jersey:jersey-json)
    mvn(com.sun.jersey:jersey-server)
    mvn(commons-codec:commons-codec)
    mvn(commons-httpclient:commons-httpclient)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(commons-logging:commons-logging)
    mvn(commons-net:commons-net)
    mvn(javax.servlet:servlet-api)
    mvn(log4j:log4j)
    mvn(org.apache.derby:derby)
    mvn(org.apache.directory.server:apacheds-core)
    mvn(org.apache.directory.server:apacheds-protocol-ldap)
    mvn(org.apache.directory.shared:shared-ldap)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-jaxrs)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.codehaus.jackson:jackson-xc)
    mvn(org.eclipse.jetty:jetty-security:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-server:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-servlet:8.1.14.v20131031)
    mvn(org.eclipse.jetty:jetty-webapp:8.1.14.v20131031)
    mvn(org.eclipse.persistence:eclipselink)
    mvn(org.objenesis:objenesis-tck)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.springframework.ldap:spring-ldap-core)
    mvn(org.springframework.security:spring-security-config)
    mvn(org.springframework.security:spring-security-core)
    mvn(org.springframework.security:spring-security-ldap)
    mvn(org.springframework.security:spring-security-web)
    mvn(postgresql:postgresql)
    perl(Getopt::Long)
    perl(Net::SNMP)
    perl(strict)
    postgresql-server
    python(abi)



Provides
--------
ambari-client:
    ambari-client
    mvn(org.apache.ambari:ambari-client)
    mvn(org.apache.ambari:ambari-client:pom:)

ambari:
    ambari
    mvn(org.apache.ambari:ambari)
    mvn(org.apache.ambari:ambari-project)
    mvn(org.apache.ambari:ambari-project:pom:)
    mvn(org.apache.ambari:ambari:pom:)

ambari-javadoc:
    ambari-javadoc

ambari-server:
    ambari-server
    config(ambari-server)
    mvn(org.apache.ambari:ambari-server)



Source checksums
----------------
http://www.apache.org/dist/ambari/ambari-1.4.4/ambari-1.4.4.tar.gz :
  CHECKSUM(SHA256) this package     : 1e5493b034ffabe683eba19d2ef5c18dc3b8edbd21da2355f52e9dde2689e077
  CHECKSUM(SHA256) upstream package : 1e5493b034ffabe683eba19d2ef5c18dc3b8edbd21da2355f52e9dde2689e077


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1076506 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Shell-api, Generic, Java, Perl
Disabled plugins: C/C++, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

When
Avoid bundling fonts in non-fonts packages.
and https://fedorahosted.org/fpc/ticket/415
are fixed the package should consider approved

Comment 14 T.C. Hollingsworth 2014-04-15 01:56:43 UTC
(In reply to Pete MacKinnon from comment #12)
> Fedora has one (1) of those fonts. I'll have to determine if leaving the
> others out are impactful at runtime.

You'll want to patch the references to the .woff and .eot versions out of the CSS @font-face definition.  Without doing so, some browsers may attempt to use the nonexistent fonts.

We currently don't have any provision for the use of .woff fonts, because no browser that supports them doesn't support .ttf fonts.  We also don't have any provision for .eot fonts, which unfortunately precludes IE<9 support.  (But really with Windows XP being EOL now that shouldn't be a problem...)

There was strong opposition to supporting an unnecessary extra font format and/or a Microsoft-only standard from the Fedora font community when we first established guidelines for webfonts.  (See https://lists.fedoraproject.org/pipermail/packaging/2013-July/009322.html and downthread.)  If any of this causes real headaches for you, feel free to revisit it on packaging@lists.fp.o.

Once you've fixed your CSS to only rely on the .ttf version, just Require web-assets-httpd (which has <Directory> entries making fonts available via httpd) and either add +FollowSymLinks and symlink to it or add an Alias to the fonts location.

Comment 16 gil cattaneo 2014-04-17 17:45:17 UTC
thanks Pete!
remain "bundling fonts in non-fonts packages"

Comment 17 Pete MacKinnon 2014-04-17 17:59:23 UTC
Shouldn't block the review but already taken care of in the posted spec:

<snip>

%package        server
Summary:        Server module for %{name}
Requires:       fontawesome-fonts
Requires:       postgresql-server
%description    server
%{summary}.

<snip>

# link the only font available
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.ttf \
      %{buildroot}%{_datadir}/%{name}/ambari-server/lib/web/font

Comment 18 Pete MacKinnon 2014-04-17 19:29:34 UTC
New Package SCM Request
=======================
Package Name: ambari
Short Description: Apache Hadoop cluster manager
Owners: pmackinn
Branches: f20
InitialCC: java-sig

Comment 19 Gwyn Ciesla 2014-04-18 11:48:17 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2014-04-25 20:11:48 UTC
ambari-1.5.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ambari-1.5.1-1.fc20

Comment 21 Fedora Update System 2014-04-27 09:10:30 UTC
ambari-1.5.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 22 Fedora Update System 2014-05-08 10:17:00 UTC
ambari-1.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.